Subject: Re: bug#55025: Automake should allow one to enable POSIX make behavior

From: Karl Berry <[email-masked]>
Date: Mon, 2 Oct 2023 15:17:13 -0600

Sorry, I don't understand what you want Automake to do.

Right now, as far as I can tell, Automake does nothing with .POSIX. It's
not mentioned in the manual nor, as far as I can grep, the code. Maybe
that's the issue, and you want a leading .POSIX in your Makefile.am to
be specially copied at the beginning of the output Makefile.in?
(Or an option, or something.)

But ... have you tried to run a Makefile originating from Automake with
.POSIX in effect?  I feel doubtful that it will work, although I don't
know it for a fact.  -k